%{?nodejs_find_provides_and_requires}

%global packagename qunit-extras
%global enable_tests 1
# disabled due to failing tests

Name:		nodejs-qunit-extras
Version:	3.0.0
Release:	2%{?dist}
Summary:	Extends QUnit with extra features and CLI support

License:	MIT
URL:		https://github.com/jdalton/qunit-extras.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

# Trivial patch to fix one failing test
Patch0:		qunit-extras_fix-tests_v3.patch

%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(qunitjs)
%endif


%description
Extends QUnit with extra features and CLI support.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
%patch0 -p1


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%__nodejs test/test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue May 29 2018 Jared K. Smith <jsmith@fedoraproject.org>
- Update to upstream 3.0.0 release

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jun 18 2016 Jared Smith <jsmith@fedoraproject.org> - 2.0.0-1
- Update to upstream 2.0.0 release

* Tue Mar  8 2016 Tom Hughes <tom@compton.nu> - 1.5.0-2
- Build as noarch

* Wed Feb 24 2016 Jared Smith <jsmith@fedoraproject.org> - 1.5.0-1
- Update to upstream 1.5.0 release

* Sun Feb 21 2016 Jared Smith <jsmith@fedoraproject.org> - 1.4.5-1
- Update to upstream 1.4.5 release

* Wed Oct 28 2015 Jared Smith <jsmith@fedoraproject.org> - 1.4.4-1
- Initial packaging
